function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, Index, Column, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
export let Announcement = class Announcement {
    id;
    createdAt;
    updatedAt;
    text;
    title;
    imageUrl;
    showPopup;
    isGoodNews;
    constructor(data){
        if (data == null) return;
        for (const [k, v] of Object.entries(data)){
            this[k] = v;
        }
    }
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Announcement.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone", {
        comment: "The created date of the Announcement."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], Announcement.prototype, "createdAt", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The updated date of the Announcement.",
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Announcement.prototype, "updatedAt", void 0);
_ts_decorate([
    Column("varchar", {
        length: 8192,
        nullable: false
    }),
    _ts_metadata("design:type", String)
], Announcement.prototype, "text", void 0);
_ts_decorate([
    Column("varchar", {
        length: 256,
        nullable: false
    }),
    _ts_metadata("design:type", String)
], Announcement.prototype, "title", void 0);
_ts_decorate([
    Column("varchar", {
        length: 1024,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Announcement.prototype, "imageUrl", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Announcement.prototype, "showPopup", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Announcement.prototype, "isGoodNews", void 0);
Announcement = _ts_decorate([
    Entity(),
    _ts_metadata("design:type", Function),
    _ts_metadata("design:paramtypes", [
        typeof Partial === "undefined" ? Object : Partial
    ])
], Announcement);
